asyncapi: 3.0.0
info:
    title: 🌡️ Microclimate
    version: 1.0.0
    description: Microclimate info
channels:
    microclimate.refreshMeasurements:
        address: dataplatform.microclimate.refreshMeasurements
        description: Generate messages for microclimate.refreshMeasurementsById
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/emptyMessage"
    microclimate.refreshMeasurementsById:
        address: dataplatform.microclimate.refreshMeasurementsById
        description: Update measurements by id and date range
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            microclimate.RefreshMeasurementsById:
                $ref: "#/components/messages/microclimate.RefreshMeasurementsById"
    microclimate.refreshSensorDevices:
        address: dataplatform.microclimate.refreshSensorDevices
        description: Update data from sensor devices
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/emptyMessage"
    microclimate.refreshSensorViews:
        address: dataplatform.microclimate.refreshSensorViews
        description: Refresh views in db
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/emptyMessage"
operations:
    microclimate.refreshMeasurements:
        action: "send"
        channel:
            $ref: "#/channels/microclimate.refreshMeasurements"
    microclimate.refreshMeasurementsById:
        action: "send"
        channel:
            $ref: "#/channels/microclimate.refreshMeasurementsById"
    microclimate.refreshSensorDevices:
        action: "send"
        channel:
            $ref: "#/channels/microclimate.refreshSensorDevices"
    microclimate.refreshSensorViews:
        action: "send"
        channel:
            $ref: "#/channels/microclimate.refreshSensorViews"
components:
    messages:
        emptyMessage:
            title: Empty message
        microclimate.RefreshMeasurementsById:
            payload:
                type: object
                properties:
                    "sensorAddr":
                        type: string
                    "dateRange":
                        type: string
                        enum:
                            - "today"
                            - "yesterday"
                            - "currentWeek"
                            - "previousWeek"
                            - "currentMonth"
                            - "previousMonth"
                            - "currentYear"
                            - "previousYear"
                additionalProperties: false
